/*
 * Class RT_DBG_ATTRIBUTE_RECORD [NATURAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_745 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_745 [] = {0xFF01,237,744,200,0xFFFF};
static const EIF_TYPE_INDEX egt_2_745 [] = {0xFF01,744,200,0xFFFF};
static const EIF_TYPE_INDEX egt_3_745 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_745 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_745 [] = {0xFF01,744,200,0xFFFF};
static const EIF_TYPE_INDEX egt_6_745 [] = {0xFF01,744,200,0xFFFF};
static const EIF_TYPE_INDEX egt_7_745 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_745 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_745 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_745 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_745 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_745 [] = {744,200,0xFFFF};
static const EIF_TYPE_INDEX egt_13_745 [] = {0xFF01,744,200,0xFFFF};
static const EIF_TYPE_INDEX egt_14_745 [] = {0xFF01,261,0xFF01,236,0xFFFF};
static const EIF_TYPE_INDEX egt_15_745 [] = {261,0xFF01,236,0xFFFF};
static const EIF_TYPE_INDEX egt_16_745 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_17_745 [] = {0xFF01,132,0xFFFF};
static const EIF_TYPE_INDEX egt_18_745 [] = {0xFFF9,2,174,206,206,0xFFFF};
static const EIF_TYPE_INDEX egt_19_745 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_20_745 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_21_745 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_745 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_23_745 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_745 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_745 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_745[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_745), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_745), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_745), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_745), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_745), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_745), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_745), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_745), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_745), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_745), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_745), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_745), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_745), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_745), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1034, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2680, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2681, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2682, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2683, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2684, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2685, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2662, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2664, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2665, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2666, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2667, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2669, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2670, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2672, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2673, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2674, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2675, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2676, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2677, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2678, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2679, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_745), 1073, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11798, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_745), 11799, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 11802, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11760, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11763, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 11769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11770, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11772, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11773, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11780, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11781, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11782, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11784, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11785, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11786, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11788, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11789, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11792, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11793, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11795, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_745), 11796, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_745), 11797, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11911, 16},
	{EIF_NON_GENERIC(0x019D /*206*/), 11912, 20},
	{EIF_GENERIC(egt_18_745), 11913, 0},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 12509, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12510, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12511, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12512, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_745), 12514, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11910, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12515, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12516, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12517, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12505, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_745), 12506, 4},
	{EIF_GENERIC(egt_21_745), 12507, 8},
	{EIF_NON_GENERIC(0x0191 /*200*/), 12508, 12},
	{EIF_GENERIC(NULL), 12518, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_745), 12519, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_745), 12520, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_745), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_745), 12513, 0xFFFFFFFF},
};
void Init745(void)
{
	IDSC(desc_745, 0, 744);
	IDSC(desc_745 + 1, 1, 744);
	IDSC(desc_745 + 32, 330, 744);
	IDSC(desc_745 + 34, 82, 744);
	IDSC(desc_745 + 59, 309, 744);
	IDSC(desc_745 + 60, 334, 744);
	IDSC(desc_745 + 103, 150, 744);
	IDSC(desc_745 + 115, 90, 744);
	IDSC(desc_745 + 123, 336, 744);
}


#ifdef __cplusplus
}
#endif
